Name:          nailgun
Version:       0.7.1
Release:       %mkrel 2
Summary:       Insanely Fast Java
Group:         Development/Java
License:       ASL
Url:           0.7.1
Source0:       http://sourceforge.net/projects/nailgun/files/nailgun/%{version}/nailgun-src-%{version}.zip
Patch0:        nailgun-0.7.1-build_xml.patch
BuildRequires: ant
BuildRequires: bcel
BuildRequires: gnu-getopt
BuildRequires: jakarta-oro
BuildRequires: jcoverage
BuildRequires: junit
BuildRequires: jpackage-utils
BuildRequires: liblog4j-java
Requires:      jpackage-utils
BuildArch:     noarch


%description
NailGun is a client, protocol, and server for running Java programs from the
command line without incurring the JVM startup overhead. Programs run in the
server (implemented in java), triggered by the client (written in C), which
handles all I/O.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
NailGun is a client, protocol, and server for running Java programs from the
command line without incurring the JVM startup overhead. Programs run in the
server (implemented in java), triggered by the client (written in C), which
handles all I/O.

This package contains javadoc for %{name}

%package examples
Group:         Development/Java
Summary:       %{name} examples

%description examples
NailGun is a client, protocol, and server for running Java programs from the
command line without incurring the JVM startup overhead. Programs run in the
server (implemented in java), triggered by the client (written in C), which
handles all I/O.

This package contains %{name} examples.

%prep

%setup -q -n nailgun-%{version}

for j in $(find . -name "*.jar"); do
   mv $j $j.no
done
for j in $(find . -name "*.class"); do
   rm -f $j
done

find . -name "*.exe" | xargs rm -fr

%patch0 -p0


pushd tools/lib
  ln -sf $(build-classpath gnu-getopt) java-getopt-1.0.10.jar
  ln -sf $(build-classpath oro) jakarta-oro-2.0.8.jar
  ln -sf $(build-classpath jcoverage) jcoverage.jar
  ln -sf $(build-classpath log4j) log4j-1.2.8.jar
  ln -sf $(build-classpath junit) junit.jar
  ln -sf $(build-classpath bcel) bcel-5.1.jar
popd
mkdir -p build/ant/prod

%build

export CLASSPATH=$(build-classpath bcel gnu-getopt jcoverage junit log4j oro)
ant compile jar docs

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

#kdir -p %{buildroot}%{_bindir}
#nstall -pm 755 ng %{buildroot}%{_bindir}/

mkdir -p %{buildroot}%{_javadir}
install -pm 644 dist/nailgun-%{version}.jar \
  %{buildroot}%{_javadir}

install -pm 644 dist/nailgun-examples-%{version}.jar \
  %{buildroot}%{_javadir}

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}*; do
    ln -sf ${jar} ${jar/-%{version}/}
  done
)

mkdir -p %{buildroot}%{_javadocdir}/nailgun-%{version}
cp -pr docs/api/* %{buildroot}%{_javadocdir}/nailgun-%{version}
ln -s nailgun-%{version} %{buildroot}%{_javadocdir}/nailgun

%files
%{_javadir}/nailgun-%{version}.jar
%{_javadir}/nailgun.jar
%doc LICENSE.txt README.txt

%files examples
%{_javadir}/nailgun-examples-%{version}.jar
%{_javadir}/nailgun-examples.jar
%doc docs/*.txt

%files javadoc
%{_javadocdir}/nailgun-%{version}
%{_javadocdir}/nailgun



%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.7.1-2.mga3
+ Revision: 360750
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Aug 02 2011 dmorgan <dmorgan> 0.7.1-1.mga2
+ Revision: 131282
- Clean spec file

  + gil <gil>
    - removed exe files as recommended by dmorgan
    - removed exe file
    - edit ant tasks
    - imported package nailgun

